<?php 
/**
 * Theme Options.
 *
 * @package Party Planner Bell
 */

$default = party_planner_bell_get_default_theme_options();

// Footer Setting Section starts
$wp_customize->add_section('section_footer', 
	array(    
	'title'       => __('Footer Option', 'party-planner-bell'),
	'panel'       => 'theme_option_panel'    
	)
);

// Setting copyright_text.
$wp_customize->add_setting( 'theme_options[copyright_text]',
	array(
	'default'           => $default['copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'party_planner_bell_sanitize_textarea_content',
	)
);
$wp_customize->add_control( 'theme_options[copyright_text]',
	array(
	'label'    => __( 'Copyright Text', 'party-planner-bell' ),
	'section'  => 'section_footer',
	'type'     => 'text', 
	'priority' => 10,
	)
);

// scroll top visible
$wp_customize->add_setting( 'theme_options[scroll_top_visible]',
	array(
		'default'           => $default['scroll_top_visible'],
		'sanitize_callback' => 'party_planner_bell_sanitize_switch_control',
	)
);
$wp_customize->add_control( new Party_Planner_Bell_Switch_Control( $wp_customize, 'theme_options[scroll_top_visible]',
    array(
		'label'      			=> esc_html__( 'Display Scroll Top Button', 'party-planner-bell' ),
		'section'    			=> 'section_footer',
		'on_off_label' 			=> party_planner_bell_switch_options(),
		'priority' 				=>20,
    )
) );


// Footer Background Image Enable option.
$wp_customize->add_setting( 'theme_options[enable_footer_background_image]', array(
	'default'           => $default['enable_footer_background_image'],
	'sanitize_callback' => 'party_planner_bell_sanitize_checkbox',
) );

$wp_customize->add_control( 'theme_options[enable_footer_background_image]', array(
	'label'             => esc_html__( 'Enable Footer Background Image', 'party-planner-bell' ),
	'section'           => 'section_footer',
	'type'              => 'checkbox',
) );

/** Footer Background Image */
$wp_customize->add_setting( 'theme_options[footer_background_image]',
    array(
        'default'           => $default['footer_background_image'],
        'sanitize_callback' => 'party_planner_bell_sanitize_image',
    )
);

$wp_customize->add_control( 
    new WP_Customize_Image_Control( $wp_customize, 'theme_options[footer_background_image]',
        array(
            'label'         => esc_html__( 'Background image for widget area', 'party-planner-bell' ),
            'description'   => esc_html__( 'Choose Header Image of your choice for Search Page. Recommended size for this image is 1920px by 800px', 'party-planner-bell' ),
            'section'       => 'section_footer',
            'type'          => 'image',
        )
    )
);
 ?>